#========================================================================================
# package      DE_EPAGES::PriceList::Hooks::PriceList
# state        public
# description  Loads the classes
#               - DE_EPAGES::PriceList::API::XML::PriceListDeleteHandler and
#               - DE_EPAGES::PriceList::API::XML::PriceListImportHandler,
#               which are necessary in order to recognize <CustomerPriceList/> tags.
#========================================================================================
package DE_EPAGES::PriceList::Hooks::PriceList;

use strict;
use DE_EPAGES::PriceList::API::XML::PriceListDeleteHandler;
use DE_EPAGES::PriceList::API::XML::PriceListImportHandler;
use DE_EPAGES::Object::API::Factory qw (Transaction);


#========================================================================================
# function     OnImportXML
#----------------------------------------------------------------------------------------
# syntax       OnImportXML();
#----------------------------------------------------------------------------------------
# description  Loads the classes
#               - DE_EPAGES::PriceList::API::XML::PriceListDeleteHandler and
#               - DE_EPAGES::PriceList::API::XML::PriceListImportHandler,
#               which are necessary in order to recognize <CustomerPriceList/> tags.
#========================================================================================
sub OnImportXML {
    return;
}

#========================================================================================
# function     OnDeleteXML
#----------------------------------------------------------------------------------------
# syntax       OnDeleteXML();
#----------------------------------------------------------------------------------------
# description  Loads the classes
#               - DE_EPAGES::PriceList::API::XML::PriceListDeleteHandler and
#               - DE_EPAGES::PriceList::API::XML::PriceListImportHandler,
#               which are necessary in order to recognize <CustomerPriceList/> tags.
#========================================================================================
sub OnDeleteXML {
    return;
}

sub OnDeleteUnityCustomerGroupGlobalValueDiscounts() {
    my ($ListObject) = shift;

    # now delete all objects
    Transaction( sub {
        $ListObject->delete;
    } );
    return;
}

1;
